# Uses of Class
org.apache.commons.math3.ml.neuralnet.Network

Packages that use Network
Package
Description
org.apache.commons.math3.ml.neuralnet
Neural networks.
org.apache.commons.math3.ml.neuralnet.oned
One-dimensional neural networks.
org.apache.commons.math3.ml.neuralnet.sofm
Self Organizing Feature Map.
org.apache.commons.math3.ml.neuralnet.twod
Two-dimensional neural networks.

## Uses of Network in org.apache.commons.math3.ml.neuralnet

Methods in org.apache.commons.math3.ml.neuralnet that return Network
Modifier and Type
Method
Description
`Network`
Network.`copy()`
Performs a deep copy of this instance.
Methods in org.apache.commons.math3.ml.neuralnet with parameters of type Network
Modifier and Type
Method
Description
`static double`
MapUtils.`computeTopographicError(Iterable<double[]> data, Network net, DistanceMeasure distance)`
Computes the topographic error.
`void`
UpdateAction.`update(Network net, double[] features)`
Updates the network in response to the sample `features`.

## Uses of Network in org.apache.commons.math3.ml.neuralnet.oned

Methods in org.apache.commons.math3.ml.neuralnet.oned that return Network
Modifier and Type
Method
Description
`Network`
NeuronString.`getNetwork()`
Retrieves the underlying network.

## Uses of Network in org.apache.commons.math3.ml.neuralnet.sofm

Methods in org.apache.commons.math3.ml.neuralnet.sofm with parameters of type Network
Modifier and Type
Method
Description
`void`
KohonenUpdateAction.`update(Network net, double[] features)`
Updates the network in response to the sample `features`.
Constructors in org.apache.commons.math3.ml.neuralnet.sofm with parameters of type Network
Modifier
Constructor
Description
``
`KohonenTrainingTask(Network net, Iterator<double[]> featuresIterator, KohonenUpdateAction updateAction)`
Creates a (sequential) trainer for the given network.

## Uses of Network in org.apache.commons.math3.ml.neuralnet.twod

Methods in org.apache.commons.math3.ml.neuralnet.twod that return Network
Modifier and Type
Method
Description
`Network`
NeuronSquareMesh2D.`getNetwork()`
Retrieves the underlying network.